#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 parameterized-utils
version:              2.1.4.0
visibility:           public
id:                   parameterized-utils-2.1.4.0-KfmPs8VkDIGA90Z7xlyjzF
key:                  parameterized-utils-2.1.4.0-KfmPs8VkDIGA90Z7xlyjzF
license:              BSD-3-Clause
copyright:            ©2016-2021 Galois, Inc.
maintainer:           kquick@galois.com
author:               Galois Inc.
stability:            stable
homepage:             https://github.com/GaloisInc/parameterized-utils
synopsis:
    Classes and data structures for working with data-kind indexed types

description:
    This package contains collection classes and type representations
    used for working with values that have a single parameter.  It'\''s
    intended for things like expression libraries where one wishes
    to leverage the Haskell type-checker to improve type-safety by encoding
    the object language type system into data kinds.

category:             Data Structures, Dependent Types
abi:                  6ce23c1aefe472451a7aa72bd6fbf705
exposed:              True
exposed-modules:
    Data.Parameterized Data.Parameterized.All Data.Parameterized.Axiom
    Data.Parameterized.BoolRepr Data.Parameterized.Classes
    Data.Parameterized.ClassesC Data.Parameterized.Compose
    Data.Parameterized.Context Data.Parameterized.Context.Safe
    Data.Parameterized.Context.Unsafe Data.Parameterized.Ctx
    Data.Parameterized.Ctx.Proofs Data.Parameterized.DataKind
    Data.Parameterized.DecidableEq Data.Parameterized.Fin
    Data.Parameterized.HashTable Data.Parameterized.List
    Data.Parameterized.Map Data.Parameterized.NatRepr
    Data.Parameterized.Nonce Data.Parameterized.Nonce.Transformers
    Data.Parameterized.Nonce.Unsafe Data.Parameterized.Pair
    Data.Parameterized.Peano Data.Parameterized.Some
    Data.Parameterized.SymbolRepr Data.Parameterized.TH.GADT
    Data.Parameterized.TraversableF Data.Parameterized.TraversableFC
    Data.Parameterized.TraversableFC.WithIndex
    Data.Parameterized.Utils.BinTree Data.Parameterized.Utils.Endian
    Data.Parameterized.Vector Data.Parameterized.WithRepr

hidden-modules:       Data.Parameterized.NatRepr.Internal
import-dirs:          /usr/lib/ghc-9.0.1/site-local/parameterized-utils-2.1.4.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/parameterized-utils-2.1.4.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/parameterized-utils-2.1.4.0

hs-libraries:         HSparameterized-utils-2.1.4.0-KfmPs8VkDIGA90Z7xlyjzF
depends:
    base-4.15.0.0 base-orphans-0.8.5-Ij3eXQiK047KNbYsRaIDPj
    constraints-0.13-L53S6zEQHmQEkAoRtf2NR4 containers-0.6.4.1
    deepseq-1.4.5.0 ghc-prim-0.7.0
    hashable-1.3.4.1-8PH3sYtWVv45iE53pOmUfm
    hashtables-1.2.4.2-G0dHq1iCSbf49cX2x1DF1w
    indexed-traversable-0.1.2-LXVxvX2Ns0jBYLb1hVs3y6
    lens-5.0.1-HadSzQUPJ1K62n1E5u3hCC mtl-2.2.2
    profunctors-5.6.2-77WFDmkzO4n7V60IuSndG6 template-haskell-2.17.0.0
    text-1.2.4.1 th-abstraction-0.4.3.0-DBpnRpG8EZgFebz88L1kOA
    vector-0.12.3.1-EtdN61cdG6Y4MwC0gVwGz6

haddock-interfaces:
    /usr/share/doc/haskell-parameterized-utils/html/parameterized-utils.haddock

haddock-html:         /usr/share/doc/haskell-parameterized-utils/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

